@echo ON

for /F "usebackq delims=" %%k in (`findCompiler.bat`) do call "%%k"



rem
rem  build the editor part of this distribution and everything that it requires.
rem  build it in debug compilation mode
rem
setlocal

if exist pdcurses/Makefile (
cd pdcurses
cmd /c makeme.bat
cd ..
)


cd lib
if exist *.obj del *.obj

copy lastWinErrStr.build lastWinErrStr.h

if "%1" == "debug" set OPTIONS=/Zi /Ob0 /Oy-
if "%1" == "" set OPTIONS=/O2


cl %OPTONS%  -I. -I..\include -I..\pdcurses -I..\include\cxxtls  -DCOMPILE_HOST=Windows -DSTDC_HEADERS -c *.c
cl %OPTIONS% /EHsc /wd4503 -I. -I..\include -I..\pdcurses  -c *.cxx
if exist libtools.lib del libtools.lib
lib.exe /nologo /out:libtools.lib  *.obj

cd ..
cd bin
if exist *.obj del *.obj
cl %OPTIONS% /EHsc -I. -I..\include -I..\pdcurses -c mus.cxx
cl %OPTIONS% /EHsc -I. -I..\include -I..\pdcurses -c tail.cxx
cl %OPTIONS% /Femus.exe mus.obj ..\lib\libtools.lib  
cl %OPTIONS% /EHsc -I. -I..\include -I..\pdcurses -c sortcsv.cxx
cl %OPTIONS% /Fesortcsv.exe sortcsv.obj    ..\lib\libtools.lib  
cl %OPTIONS% /EHsc -I. -I..\include -I..\pdcurses -c utf8dec.cxx
cl %OPTIONS% /Feutf8dec.exe utf8dec.obj    ..\lib\libtools.lib  
cl %OPTIONS% /Fetail.exe tail.obj    ..\lib\libtools.lib  


cd ..
cd scriptLanguage
if exist *.obj del *.obj

if "%1" == "debug" set OPTIONS=/Zi /Ob0 /Oy-
if "%1" == "" set OPTIONS=/O2


if exist *.c cl %OPTONS%  -I. -I include -I..\include -I..\pdcurses -I..\include\cxxtls -DCOMPILE_HOST=Windows -DSTDC_HEADERS -c *.c
cl %OPTIONS% /EHsc /wd4503 -I. -I include -I..\include -I..\pdcurses -c *.cxx
if exist libscriptLanguage.lib del libscriptLanguage.lib
lib.exe /nologo /out:libscriptLanguage.lib  *.obj

cd ..
cd brash
if exist *.obj del *.obj
cl %OPTIONS% /EHsc -I. -I..\include -I..\pdcurses -I..\scriptLanguage\include -c *.cxx
cl %OPTIONS% /Febrash.exe *.obj ..\lib\libtools.lib  ..\scriptLanguage\libScriptLanguage.lib user32.lib

cd ..

echo The following executables have been created:

dir /s /b *.exe | find /V /I "pdcurses"

:end
